View Issue Details

IDProjectCategoryView StatusLast Update
0000096CaseTalk ModelerGeneration (SQL, XML, etc)public2012-05-25 12:18
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version6.15 
Target Version6.20Fixed in Version6.20 
Summary0000096: Shortest columnnames may even be shorter
DescriptionThe student apprenticeship example, once glr'd, contains a table with a column for the project description.

The full path for this may be:
- project, project_description, description

It would be nicer to compress similar texts. A path element name which is similar to the head of the next, of the tail of the previous, this may be compressed further.

It may lead to simply:
- project_description
TagsNo tags attached.

Relationships

related to 0000083 resolvedBCP Software Solve the column name algorithm 

Activities

BCP Software

BCP Software

2012-05-21 15:01

administrator   ~0000056

Added a user preference
- full_path: full conceptual role path
- short_path: shortest possible role path, remaining unique
- compressed_path: similar to short_path, yet compressing repeating names
BCP Software

BCP Software

2012-05-25 12:18

administrator   ~0000067

View the demo at http://www.youtube.com/user/CaseTalk/feed

Issue History

Date Modified Username Field Change
2012-05-19 15:43 BCP Software New Issue
2012-05-19 15:43 BCP Software Status new => assigned
2012-05-19 15:43 BCP Software Assigned To => BCP Software
2012-05-19 15:43 BCP Software Relationship added related to 0000083
2012-05-21 15:01 BCP Software Note Added: 0000056
2012-05-21 15:01 BCP Software Status assigned => resolved
2012-05-21 15:01 BCP Software Fixed in Version => 6.20
2012-05-21 15:01 BCP Software Resolution open => fixed
2012-05-25 12:18 BCP Software Note Added: 0000067
2012-11-05 16:35 BCP Software Category Model Generation => Generation
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)